## gulkan-cmd-buffer

gulkan-cmd-buffer

## Functions

gboolean | gulkan_cmd_buffer_begin ()
VkCommandBuffer | gulkan_cmd_buffer_get_handle ()

## Types and Values

#define | GULKAN_TYPE_CMD_BUFFER
| GulkanCmdBuffer

## Object Hierarchy

        GObject
        ╰── GulkanCmdBuffer

## Includes

    #include <gulkan.h>

## Description

## Functions

### gulkan_cmd_buffer_begin ()

    gboolean
    gulkan_cmd_buffer_begin (GulkanCmdBuffer *self);

### gulkan_cmd_buffer_get_handle ()

    VkCommandBuffer
    gulkan_cmd_buffer_get_handle (GulkanCmdBuffer *self);

## Types and Values

### GULKAN_TYPE_CMD_BUFFER

    #define GULKAN_TYPE_CMD_BUFFER gulkan_cmd_buffer_get_type()

### GulkanCmdBuffer

    typedef struct _GulkanCmdBuffer GulkanCmdBuffer;